<?php




namespace ln\jobs;

use app\common\repositories\store\shipping\ExpressRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;

class ExpressSyncJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            app()->make(ExpressRepository::class)->syncExportAll();
            $job->delete();
        }catch (\Exception $exception){
            Log::info(var_export($exception, 1));
        }
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
